{
  "extends": "@tsconfig/node20/tsconfig.json",
  "compilerOptions": {
    "outDir": "./dist",
    "rootDir": "./",

    "allowJs": true,
    "checkJs": false,

    "strict": false,
    "noImplicitAny": false,
    "strictNullChecks": false,

    "esModuleInterop": true,
    "resolveJsonModule": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "sourceMap": true,
    "declaration": false,

    "paths": {
      "@shared/*": ["./shared/*"]
    }
  },
  "include": [
    "server.ts",
    "server.js",
    "src/**/*.js",
    "src/**/*.ts",
    "shared/**/*.ts"
  ],
  "exclude": [
    "node_modules",
    "dist",
    "public",
    "e2e",
    "scripts",
    "test",
    "client"
  ]
}
